import sys
import time
import subprocess
import SystemLib
import FileSystemLib

#!/usr/bin/env python3
# Script de ejemplo para formatear un sistema de archivos.
# Nota: se usa como base para el programa de formateo de OpenGnsys Admin.

def main():
    start_time = time.time()
    prog = sys.argv[0]

    if len(sys.argv) != 3:
        SystemLib.ogRaiseError(1, f"{prog} ndisco nparticion")

    disk = sys.argv[1]
    partition = sys.argv[2]

    # Desmontar y formatear el sistema de archivos.
    print("[5] Desmontando sistema de archivos")
    FileSystemLib.ogUnmountFs(disk, partition)
    print("[20] Formateando sistema de archivos")
    FileSystemLib.ogFormatFs(disk, partition)

    elapsed_time = time.time() - start_time
    minutes, seconds = divmod(int(elapsed_time), 60)
    print(f"[100] Duración de la operación {minutes}m {seconds}s")

if __name__ == "__main__":
    main()
