#!/usr/bin/python3
# Scirpt de ejemplo para almacenear en fichero temporal el listado de hardware.
# Nota: se usa como base para el programa de recogida de listado de hardware de OpenGnsys Admin.
# Formato:  listHardwareInfo

import os
import sys
import subprocess

import ogGlobals
from SystemLib import ogRaiseError
from NetLib import ogGetIpAddress
from InventoryLib import ogListHardwareInfo

prog = sys.argv[0]
if len (sys.argv) > 1:
    ogRaiseError ([], ogGlobals.OG_ERR_FORMAT, f'{ogGlobals.lang.MSG_FORMAT} {prog}')
    sys.exit (1)

# Directorio del servidor donde se exportan los ficheros de registro.
#SERVERLOGDIR = unused

# Fichero de listado:  hard-IP
HARDFILE = f'{ogGlobals.OGLOG}/hard-{ogGetIpAddress()}'
out = ogListHardwareInfo()
with open (HARDFILE, 'w') as fd:
    fd.write (out)
print (HARDFILE)
